Loading...
Searching...
No Matches
apr_bucket_heap Struct Reference
APR Utility Functions » Bucket Brigades

`#include <apr_buckets.h>`

Collaboration diagram for apr_bucket_heap:
[legend]

## Data Fields

apr_bucket_refcount | refcount
char * | base
apr_size_t | alloc_len
void(* | free_func )(void *data)

## Detailed Description

A bucket referring to data allocated off the heap.

## Field Documentation

## alloc_len

apr_size_t apr_bucket_heap::alloc_len

how much memory was allocated

## base

char* apr_bucket_heap::base

The start of the data actually allocated. This should never be modified, it is only used to free the bucket.

## free_func

void(* apr_bucket_heap::free_func) (void *data)

function to use to delete the data

## refcount

apr_bucket_refcount apr_bucket_heap::refcount

Number of buckets using this memory

The documentation for this struct was generated from the following file:

- apr_buckets.h